/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: AntTaskJBI.java 09:01:14 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.ant.managers;

import org.apache.tools.ant.Task;

/**
 * This class is used to give the main parameters of the Ant tasks
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public abstract class JBIAntTaskAbstract extends Task {

    /**
     * Fail on error
     */
    protected String failOnError = "true";

    /**
     * Host jmx
     */
    protected String host = "localhost";

    /**
     * Password for security
     */
    protected String password = "";

    /**
     * Port jmx
     */
    protected String port = "8081";

    /**
     * User name for security
     */
    protected String username = "";

    public void setFailOnError(String failOnError) {
        this.failOnError = failOnError;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public void setUsername(String username) {
        this.username = username;
    }

}
